Bug 472514 - Please update EPEL lyx package
Please update EPEL lyx package
Product: Fedora EPEL
Classification: Fedora
Component: lyx (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-11-21 07:00 EST by Janne Blomqvist
Modified: 2009-07-29 18:56 EDT (History)
4 users (show)

See Also:
Fixed In Version: 1.6.3-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-29 18:56:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Janne Blomqvist 2008-11-21 07:00:20 EST
The lyx package in EPEL is really old, version It would be nice if it would be updated, especially now that lyx 1.6 has been released.
Comment 1 Rex Dieter 2008-11-21 08:54:20 EST
I've purposely left in 1.4, since that was the last qt3-based build of lyx.  Newer versions use qt4, and rhel5's version is quite old.

But, I'm willing to give it a try, and see how things go.
Comment 2 José Matos 2008-11-21 10:08:31 EST
The minimum version of qt4 required for lyx 1.6 is 4.2.0.
Comment 3 Todd Denniston 2009-06-17 20:36:57 EDT
Would it at least make sense to patch the lyx2lyx script up to the 1.6 version so that files could be exchanged, between epel version and newer version lyx users, with less hassle?

BTW which version of qt4 is available on RHEL 5.3? 
I see qt4-4.2.1-1 in my CentOS 5.3 system from the 5.3/os/ (AKA Base) part of the repository, which I assume means it is available on RHEL 5.3 now too.

With what I thought the policy of epel was, i.e., stick with whatever major.minor rev is initially put in, I thought going to a newer version would be blocked. 
If we are going to go to 1.6 or 1.5, would it make sense to put out a 1.4 lyx package with the updated lyx2lyx, and a note on how to make that a "sticky" version in yum, before putting out a later version?

Boy but the new features of 1.5 &1.6 look shiny :)
Comment 4 Rex Dieter 2009-06-17 20:40:27 EDT
Thanks for the ping, I kinda had left this sit since making comment #1.
Comment 5 Rex Dieter 2009-06-22 23:23:18 EDT
Here we go,
Comment 6 Rex Dieter 2009-06-22 23:46:17 EDT
false start, here's one that actually worked,
Comment 7 Fedora Update System 2009-07-06 10:21:32 EDT
lyx-1.6.3-1.el5 has been submitted as an update for Fedora EPEL 5.
Comment 8 Fedora Update System 2009-07-06 23:43:11 EDT
lyx-1.6.3-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lyx'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0013
Comment 9 Fedora Update System 2009-07-29 18:56:30 EDT
lyx-1.6.3-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.